package com.fs.store.service;

import com.fs.store.domain.FsChineseMedicine;
import com.fs.store.param.FsChineseMedicineListUParam;
import com.fs.store.vo.FsChineseMedicineListUVO;
import com.fs.store.vo.FsChineseMedicineListVO;

import java.util.List;

/**
 * 中药科普管理Service接口
 *
 * @author fs
 * @date 2023-10-23
 */
public interface IFsChineseMedicineService
{
    /**
     * 查询中药科普管理
     *
     * @param id 中药科普管理主键
     * @return 中药科普管理
     */
    public FsChineseMedicine selectFsChineseMedicineById(Long id);

    /**
     * 查询中药科普管理列表
     *
     * @param fsChineseMedicine 中药科普管理
     * @return 中药科普管理集合
     */
    public List<FsChineseMedicine> selectFsChineseMedicineList(FsChineseMedicine fsChineseMedicine);

    /**
     * 新增中药科普管理
     *
     * @param fsChineseMedicine 中药科普管理
     * @return 结果
     */
    public int insertFsChineseMedicine(FsChineseMedicine fsChineseMedicine);

    /**
     * 修改中药科普管理
     *
     * @param fsChineseMedicine 中药科普管理
     * @return 结果
     */
    public int updateFsChineseMedicine(FsChineseMedicine fsChineseMedicine);

    /**
     * 批量删除中药科普管理
     *
     * @param ids 需要删除的中药科普管理主键集合
     * @return 结果
     */
    public int deleteFsChineseMedicineByIds(Long[] ids);

    /**
     * 删除中药科普管理信息
     *
     * @param id 中药科普管理主键
     * @return 结果
     */
    public int deleteFsChineseMedicineById(Long id);

    List<FsChineseMedicineListVO> selectFsChineseMedicineListVO(FsChineseMedicine fsChineseMedicine);

    String importData(List<FsChineseMedicine> list);

    List<FsChineseMedicineListUVO> selectFsChineseMedicineListUVO(FsChineseMedicineListUParam param);
}
